adinstbpm - Task #17721
Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system

Task # 17720 (Work in progress): Booster BPM ACNET Interface

ACNET device BPM Numbers (0x0017)
09/15/2017 11:13 AM - John Diamond

Status: Work in progress Start date: 09/15/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 70%
Category: Estimated time: 4.00 hours
Target version: Spent time: 5.25 hours
Description

Implement Booster BPM ACNET device 0x0017.

History

#1 - 09/15/2017 08:02 PM - John Diamond
- % Done changed from 0 to 90

Created BoosterCrateACNET for handling non-BPM related ACNET devices for the Booster BPM ACNET interface (object ID 0xB0).

Implemented ::bpmNumbersRead(..) to handle attribute ID 0x17.
Created Z:BTSNUM for BBPMTS.

Device only returns requests for all 8 bytes. This should be improved to serve any slice of the array.

#2 - 09/16/2017 10:40 AM - John Diamond
- % Done changed from 90 to 100

Added the ability to slice the array however the user desires (not sure if this is an improvement or not over the old system).

Keep this ticket open until the ACNET devices have been tested against the console application.

#3 - 09/17/2017 10:06 AM - John Diamond

- Status changed from Assigned to Work in progress

#4 - 10/18/2017 08:16 PM - John Diamond

- Status changed from Work in progress to Resolved

#5 - 11/10/2017 08:54 AM - John Diamond
- Status changed from Resolved to Work in progress

- % Done changed from 100 to 70

Turns out there is a setting property that controls the Booster event to perform data collection on.

10/19/2020

1/1



http://www.tcpdf.org

